[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TMemoryStream.SetSize

Sets the size for the memory stream.

## Declaration

Source position: classesh.inc line 966

`public procedure TMemoryStream.SetSize(`
`NewSize: PtrInt`
`); override;`

## Description

SetSize sets the size of the memory stream to NewSize. This will set the capacity of the stream to NewSize and correct the current position in the stream when needed.

## See also

TStream.Position |  | The current position in the stream.
TStream.Size |  | The current size of the stream.

Documentation generated on: Feb 26 2014